<?php
class default_page extends SYSTEM\PAGE\Page {
    private function js(){        
        return  \SYSTEM\HTML\html::script(\LIB\lib_jquery::js()).
                \SYSTEM\HTML\html::script(\LIB\lib_bootstrap::js()).
                //\SYSTEM\HTML\html::script(\LIB\lib_system::js()).
                //\SYSTEM\HTML\html::script('https://www.openlayers.org/api/OpenLayers.js').
                \SYSTEM\HTML\html::script('https://cdnjs.cloudflare.com/ajax/libs/openlayers/2.13.1/OpenLayers.js').
                \SYSTEM\HTML\html::script('https://www.openstreetmap.org/openlayers/OpenStreetMap.js').
                \SYSTEM\HTML\html::script(\SYSTEM\WEBPATH(new PPAGE(),'default_page/js/default_page.js')).
                \SYSTEM\HTML\html::script(\SYSTEM\WEBPATH(new PSAI(),'saimod_webcraft_gallery/js/galleria/galleria-1.4.2.min.js')).
                \SYSTEM\HTML\html::script(\SYSTEM\WEBPATH(new PPAGE(),'default_page/js/map.js'));   
    }
    private function css(){  
        return  \SYSTEM\HTML\html::link(\LIB\lib_bootstrap::css()).
                \SYSTEM\HTML\html::link(\SYSTEM\WEBPATH(new PPAGE(),'default_page/css/index.css'));
    }
    public function html($_escaped_fragment_ = NULL) {
        $vars = array();
        $vars['js'] = '';
        if(!$_escaped_fragment_){
            $vars['js'] = self::js();}
        $vars['css'] = self::css();
        $vars['default_gallery'] = saimod_webcraft_gallery::getGalleryGalleria(3);
        $vars = array_merge($vars, \SYSTEM\PAGE\text::tag('rhein'));
        $vars = array_merge($vars, \SYSTEM\PAGE\text::tag('rhein_other'));
        return \SYSTEM\PAGE\replace::replaceFile(\SYSTEM\SERVERPATH(new PPAGE(),'default_page/tpl/rhein.tpl'), $vars);
    }
}